(function () {
    document.querySelectorAll('.content a[href^="http"]').forEach(function (a) {
        var hostname = new URL(a.href).hostname;
        var img = document.createElement('img');
        img.src = 'https://icons.duckduckgo.com/ip3/' + hostname + '.ico';
        img.width = 16;
        img.height = 16;
        img.style.verticalAlign = 'center';
        img.style.marginRight = '3px';
        a.prepend(img);
    });
})();
